
export interface IObjectPoolManager {

    /**
     * 获取对象池数量。
     */
    GetCount(): number;

    /** 创建节点池 */
    CreatePool(poolName: string): cc.NodePool;

    /** 预创建节点池 */
    CreatePrePool(poolName: string, prefab: cc.Prefab, maxNum: number): cc.NodePool;

    /** 获取指定节点池 */
    GetPool(poolName: string): cc.NodePool;

    /** 是否节点池 */
    ReleasePool(poolName: string);

    /** 清空所有节点池 */
    ReleaseAllPool();
}